# $Revision: 1.24 $, $Date: 2010/01/04 19:24:43 $
Summary:	X.org video driver for generic VESA video cards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych zgodnych z VESA
Name:		xorg-driver-video-vesa
Version:	2.3.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vesa-%{version}.tar.bz2
# Source0-md5:	07fa32958aff9b463dd3af5481ef6626
Patch0:		%{name}-xf86gtfmode.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for generic VESA video cards.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych zgodnych ze standardem
VESA.

%prep
%setup -q -n xf86-video-vesa-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/vesa_drv.so
%{_mandir}/man4/vesa.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-vesa.spec,v $
Revision 1.24  2010/01/04 19:24:43  arekm
- up to 2.3.0

Revision 1.23  2009/10/02 08:29:34  arekm
- release 2

Revision 1.22  2009/09/10 18:41:35  arekm
- up to 2.2.1

Revision 1.21  2009/02/25 21:10:07  arekm
- release 2

Revision 1.20  2009/02/17 23:10:25  arekm
- up to 2.2.0

Revision 1.19  2008/10/06 01:40:37  shadzik
- rel 4

Revision 1.18  2008/08/30 16:34:56  arekm
- release 3

Revision 1.17  2008/08/21 19:34:02  adamg
- xf86gtfmode.patch - avoid undefined symbols
- release 2

Revision 1.16  2008/07/09 18:25:08  qboosh
- updated to 2.0.0

Revision 1.15  2008/07/01 16:12:50  arekm
- release 2

Revision 1.14  2008/06/16 21:11:53  qboosh
- updated to 1.99.1

Revision 1.13  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.12  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.11  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.9  2006/11/30 23:06:56  arekm
- up to 1.3.0

Revision 1.8  2006/10/18 08:05:27  qboosh
- updated to 1.2.2

Revision 1.7  2006/06/05 08:42:47  qboosh
- updated to 1.2.1

Revision 1.6  2006/05/23 06:32:05  arekm
- up to 1.2.0

Revision 1.5  2006/04/11 13:35:54  qboosh
- updated to 1.1.0

Revision 1.4  2006/01/10 11:21:23  qboosh
- 1.0.1.3 (X11R7.0 release)

Revision 1.3  2005/12/08 15:19:04  qboosh
- 1.0.1.1 (X11R7.0-RC3)

Revision 1.2  2005/11/20 16:40:22  qboosh
- 1.0.1 (X11R7.0-RC2)

Revision 1.1  2005/10/31 00:46:39  qboosh
- new
